// winport.h
#ifndef _winport_h_
#define _winport_h_

/* some GLUE code, just for WIN32 */
#define  DT_DIR      1

struct dirent{
	int  d_namlen;
   unsigned short d_reclen;
	unsigned char d_type;
	char d_name[256];
};

struct _DIR {
	HANDLE hfind;
	WIN32_FIND_DATA fd;
	char search[264];
	struct dirent de;
	int	is_first;
};

typedef struct _DIR DIR;

extern DIR * opendir(const char * dir );
extern struct dirent * readdir(DIR * dp);
extern int closedir(DIR * dp);

/* deal with gzipping and ungzipping */
extern void try_to_gzip_it( void );
extern void try_to_ungzip_it( void );


#endif // _winport_h_
// eof - winport.h
